luks1_test.in 375 B

123456789101112131415161718192021222324
  1. #!@BUILD_SHEBANG@
  2. set -e
  3. if [ "x$EUID" = "x" ] ; then
  4. EUID=`id -u`
  5. fi
  6. if [ "$EUID" != 0 ] ; then
  7. exit 99
  8. fi
  9. if ! which mkfs.ext2 >/dev/null 2>&1; then
  10. echo "mkfs.ext2 not installed; cannot test luks."
  11. exit 99
  12. fi
  13. if ! which cryptsetup >/dev/null 2>&1; then
  14. echo "cryptsetup not installed; cannot test luks."
  15. exit 99
  16. fi
  17. "@builddir@/grub-fs-tester" luks1